Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1046482 - SystemError: error return without exception set
Summary: SystemError: error return without exception set
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matej Stuchlik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f9ce5bb66a19453e1c2ce56dc34...
: 1061404 1119965 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-25 17:50 UTC by Robert Moskowitz
Modified: 2016-02-01 02:15 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 13:49:03 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (305.65 KB, text/plain)
2013-12-25 17:50 UTC, Robert Moskowitz
no flags Details
File: anaconda.log (7.03 KB, text/plain)
2013-12-25 17:50 UTC, Robert Moskowitz
no flags Details
File: environ (405 bytes, text/plain)
2013-12-25 17:50 UTC, Robert Moskowitz
no flags Details
File: lsblk_output (1.56 KB, text/plain)
2013-12-25 17:50 UTC, Robert Moskowitz
no flags Details
File: nmcli_dev_list (8.39 KB, text/plain)
2013-12-25 17:50 UTC, Robert Moskowitz
no flags Details
File: os_info (375 bytes, text/plain)
2013-12-25 17:50 UTC, Robert Moskowitz
no flags Details
File: program.log (42.88 KB, text/plain)
2013-12-25 17:50 UTC, Robert Moskowitz
no flags Details
File: storage.log (101.77 KB, text/plain)
2013-12-25 17:50 UTC, Robert Moskowitz
no flags Details
File: syslog (104.78 KB, text/plain)
2013-12-25 17:50 UTC, Robert Moskowitz
no flags Details
File: ifcfg.log (1.78 KB, text/plain)
2013-12-25 17:50 UTC, Robert Moskowitz
no flags Details
File: packaging.log (1.34 KB, text/plain)
2013-12-25 17:50 UTC, Robert Moskowitz
no flags Details

Description Robert Moskowitz 2013-12-25 17:50:17 UTC
Description of problem:
Lenovo x120e again.  This time from i386 DVD.

Got to the screen for the setup then failed.

Version-Release number of selected component:
anaconda-20.25.15-1

The following was filed automatically by anaconda:
anaconda 20.25.15-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1766, in _checkMD
    l_csum = self._checksum(r_ctype, file, datasize=size)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 280, in _check_uncompressed_db_gen
    check_can_fail=True):
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 231, in populate
    db_un_fn = self._check_uncompressed_db_gen(repo, mydbtype)
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 383, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 770, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1050, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 904, in _getGroups
    self.pkgSack
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1073, in <lambda>
    comps = property(fget=lambda self: self._getGroups(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 3760, in selectGroup
    if not self.comps.has_group(grpid):
  File "/usr/lib/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 1091, in _selectYumGroup
    self._yum.selectGroup(groupid, group_package_types=pkg_types)
  File "/usr/lib/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 1199, in _applyYumSelections
    self._selectYumGroup("core")
  File "/usr/lib/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 1273, in checkSoftwareSelection
    self._applyYumSelections()
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/software.py", line 124, in checkSoftwareSelection
    self.payload.checkSoftwareSelection()
  File "/usr/lib/python2.7/threading.py", line 764, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib/python2.7/site-packages/pyanaconda/threads.py", line 192, in run
    threading.Thread.run(self, *args, **kwargs)
SystemError: error return without exception set

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2020\x20i386 rd.live.check quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.11.10-301.fc20.i686
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        20

Comment 1 Robert Moskowitz 2013-12-25 17:50:27 UTC
Created attachment 841565 [details]
File: anaconda-tb

Comment 2 Robert Moskowitz 2013-12-25 17:50:30 UTC
Created attachment 841566 [details]
File: anaconda.log

Comment 3 Robert Moskowitz 2013-12-25 17:50:32 UTC
Created attachment 841567 [details]
File: environ

Comment 4 Robert Moskowitz 2013-12-25 17:50:33 UTC
Created attachment 841568 [details]
File: lsblk_output

Comment 5 Robert Moskowitz 2013-12-25 17:50:35 UTC
Created attachment 841569 [details]
File: nmcli_dev_list

Comment 6 Robert Moskowitz 2013-12-25 17:50:36 UTC
Created attachment 841570 [details]
File: os_info

Comment 7 Robert Moskowitz 2013-12-25 17:50:38 UTC
Created attachment 841571 [details]
File: program.log

Comment 8 Robert Moskowitz 2013-12-25 17:50:42 UTC
Created attachment 841572 [details]
File: storage.log

Comment 9 Robert Moskowitz 2013-12-25 17:50:45 UTC
Created attachment 841573 [details]
File: syslog

Comment 10 Robert Moskowitz 2013-12-25 17:50:47 UTC
Created attachment 841574 [details]
File: ifcfg.log

Comment 11 Robert Moskowitz 2013-12-25 17:50:48 UTC
Created attachment 841575 [details]
File: packaging.log

Comment 12 Brian 2013-12-28 17:17:32 UTC
 iInstalling Fedora 20 Final iso from USB on a pre-existing Fedora maching that uses LVM and RAID 1.  Error happened on main installation screen immediately following the language selection.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2020\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.11.10-301.fc20.x86_64
package:        anaconda-20.25.15-1
product:        Fedora
reason:         SystemError: error return without exception set
release:        Cannot get release name.
version:        20

Comment 13 David Shea 2014-02-05 07:49:01 UTC
*** Bug 1061404 has been marked as a duplicate of this bug. ***

Comment 14 PlaceHolder 2014-03-30 03:21:09 UTC
It happened on its own without user interaction on the next screen after selecting the language for a fresh install from DVD.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2020\x20x86_64 rd.live.check quiet BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.11.10-301.fc20.x86_64
package:        anaconda-20.25.15-1
product:        Fedora
reason:         SystemError: error return without exception set
release:        Cannot get release name.
version:        20

Comment 15 James Antill 2014-03-31 13:50:18 UTC
 Moving this back to anaconda, as it's the same as bug#1058297.

Comment 16 David Shea 2014-03-31 21:10:24 UTC
All I can think is that this is a bug in Python itself, there just isn't anything that anaconda or yum is doing that could generate such an error. Reassigning.

Comment 17 David Shea 2014-07-16 13:20:53 UTC
*** Bug 1119965 has been marked as a duplicate of this bug. ***

Comment 18 Wendell Baker 2015-03-20 04:50:17 UTC
Stylistic ST-6012
A sister unit installed Fedora 19 flawlessly
Upon boot into anaconda, after the 2nd screen (with all the options: disks, software install, etc.)
it crashes.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=F20/x86_64/isolinux/initrd.img vnc headless shell sshd ksdevice=link lang=en_US keymap=us repo=nfs:vers=3:pickerel:/lake/fedora/mirrors/20/replica/releases/20/Fedora/x86_64/os BOOT_IMAGE=F20/x86_64/isolinux/vmlinuz 
hashmarkername: anaconda
kernel:         3.11.10-301.fc20.x86_64
package:        anaconda-20.25.15-1
product:        Fedora
reason:         SystemError: error return without exception set
release:        Cannot get release name.
version:        20

Comment 19 Wendell Baker 2015-03-21 16:34:36 UTC
Fujitsu Stylistic ST-6012 in substantially hands-off mode.  Configuring via vnc.
The hardware is known to work with Fedora 20 release DVD ... I've completed five installs so far.
This crash has happened twice (this is the 2nd).
The HDD is blank, the HDD has not yet been modified by anaconda.

This is somehow a timing thing with anaconda.  With 1204320 all that was required was a retry of the install and it worked.  The timing was different somehow.

Unify with 1204320

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=F20/x86_64/isolinux/initrd.img vnc headless shell sshd ksdevice=link lang=en_US keymap=us repo=nfs:vers=3:pickerel:/lake/fedora/20/trees/Fedora-20-x86_64-DVD BOOT_IMAGE=F20/x86_64/isolinux/vmlinuz 
hashmarkername: anaconda
kernel:         3.11.10-301.fc20.x86_64
package:        anaconda-20.25.15-1
product:        Fedora
reason:         SystemError: error return without exception set
release:        Cannot get release name.
version:        20

Comment 20 Fedora Admin XMLRPC Client 2015-05-12 12:02:31 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 21 Fedora End Of Life 2015-05-29 10:09:51 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 22 Fedora End Of Life 2015-06-29 13:49:03 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.